# -*- coding: utf-8 -*-
from setuphelpers import *

current_lang = get_language()
winscp_path = makepath(programfiles32, "WinSCP")
winscp_ini = r"""[Setup]
Lang=%s
Dir=%s
Group=WinSCP
NoIcons=0
SetupType=full
Components=main,shellext,pageant,puttygen,transl,transl\eng,transl\fr
Tasks=desktopicon,desktopicon\user,sendtohook,urlhandler
[Configuration\Interface\Updates]
Period=0""" % (
    current_lang,
    winscp_path,
)


def install():
    print("installing %s" % control.asrequirement())

    # Specific app values
    package_version = control.version.split("-", 1)[0]

    # Adapting the configuration file depending on running system
    open("winscp.ini", "w").write(winscp_ini)

    # Installing the package
    install_exe_if_needed(
        "WinSCP-%s-Setup.exe" % package_version,
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /LOADINF=winscp.ini",
        key="winscp3_is1",
        min_version=package_version,
    )
